Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062623 - Review Request: arm-none-eabi-gdb - GDB for (remote) debugging ARM targets
Summary: Review Request: arm-none-eabi-gdb - GDB for (remote) debugging ARM targets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 14:20 UTC by Maros Zatko
Modified: 2014-07-17 04:33 UTC (History)
3 users (show)

Fixed In Version: arm-none-eabi-gdb-7.6.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-17 04:33:13 UTC
jglisse: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Maros Zatko 2014-02-07 14:20:03 UTC
Spec URL: http://v3.sk/~hexo/rpm/arm-none-eabi-gdb.spec
SRPM URL: http://v3.sk/~hexo/rpm/arm-none-eabi-gdb-7.4.1-2.fc21.src.rpm
Description: This is a version of GDB, the GNU Project debugger, for (remote)
debugging arm-none-eabi binaries. GDB allows you to see and modify what is
going on inside another program while it is executing.
Fedora Account System Username: mzatko

Comment 1 Jérôme Glisse 2014-06-17 17:04:22 UTC
Spec URL: http://people.freedesktop.org/~glisse/arm-none-eabi-gdb/arm-none-eabi-gdb.spec
SRPM URL: http://people.freedesktop.org/~glisse/arm-none-eabi-gdb/arm-none-eabi-gdb-7.6.2-1.fc20.src.rpm

Updated the specfile to fix rpmlint complaint. From my point of view it is good to go.

Comment 2 Jérôme Glisse 2014-06-17 17:14:02 UTC
ACCEPT

So i fixed the nitpick of the original spec file and updated to 7.6. This package is indeed very useful to debug remotely some popular microcontroller.

Still minor rpmlint errors/warning left but harmless.

[glisse@dhcp-10-19-62-221 rpmbuild]$ rpmlint SRPMS/arm-none-eabi-gdb-7.6.2-1.fc20.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[glisse@dhcp-10-19-62-221 rpmbuild]$ rpmlint RPMS/x86_64/arm-none-eabi-gdb-7.6.2-1.fc20.x86_64.rpm 
arm-none-eabi-gdb.x86_64: W: manual-page-warning /usr/share/man/man1/arm-none-eabi-run.1.gz 19: warning: macro `"' not defined
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[glisse@dhcp-10-19-62-221 rpmbuild]$ rpmlint RPMS/x86_64/arm-none-eabi-gdb-devel-7.6.2-1.fc20.x86_64.rpm 
arm-none-eabi-gdb-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[glisse@dhcp-10-19-62-221 rpmbuild]$ rpmlint RPMS/x86_64/arm-none-eabi-gdb-debuginfo-7.6.2-1.fc20.x86_64.rpm 
arm-none-eabi-gdb-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/arm-none-eabi-gdb/gdb-7.6.2/bfd/elf-nacl.c
arm-none-eabi-gdb-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/arm-none-eabi-gdb/gdb-7.6.2/bfd/elf-nacl.h
arm-none-eabi-gdb-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/arm-none-eabi-gdb/gdb-7.6.2/bfd/elf-vxworks.c
arm-none-eabi-gdb-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/arm-none-eabi-gdb/gdb-7.6.2/bfd/elf-vxworks.h
1 packages and 0 specfiles checked; 4 errors, 0 warnings.

Comment 3 Maros Zatko 2014-06-18 14:27:08 UTC
New Package SCM Request
=======================
Package Name: arm-none-eabi-gdb
Short Description: GDB for (remote) debugging ARM targets
Owners: mzatko
Branches: f20
InitialCC:

Comment 4 Kevin Fenzi 2014-06-18 16:10:36 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-06-20 14:11:42 UTC
arm-none-eabi-gdb-7.6.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/arm-none-eabi-gdb-7.6.2-1.fc20

Comment 6 Fedora Update System 2014-06-21 02:57:24 UTC
arm-none-eabi-gdb-7.6.2-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-07-17 04:33:13 UTC
arm-none-eabi-gdb-7.6.2-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.